Powered by Adobe Commerce 2.4.3

This extension is in our Payment category, and could affect the PCI compliance level of your store. It is the merchant’s responsibility to ensure the proper PCI compliance level of their store, as applicable by PCI regulations. The PCI Self-Assessment is one tool you can use when evaluating Payment extensions and how they may affect your PCI compliance level. For more information on Marketplace policies, please review the Marketplace Terms & Conditions.
logo.png

Hyperspace Ebook

TOTAL:
$50.00

Overview

Back to top

This Hyperspace Ebook extension automatically encrypts uploaded PDF files of downloadable products. Encryption is used by default enabled password. The default signature contains the customer's name and order number. Also, this extension auto-detects the buyer's PayPal email address and adds it to the security stamp text. It is very easy to customize the signature and encryption settings by editing the main PHP file.

In most cases, no configuration is needed! This extension just works out of the box. It uses an FPDI library so it is compatible with unencrypted PDF version 1.4 or older. For newer files, there are many tools that can convert pdf files to supported older formats like Adobe Acrobat, PDFCreator, PDFtk, etc. This extension is executed when users click the download link on the "Downloadable products" user tab and work efficiently "on the fly".

 

Features

  • Intended for Downloadable products
  • Works only for PDF format files
  • PDF is signed on all PDF pages
  • The signature can be customized
  • Optional password protection
  • Optional PDF limiting
  • Very easy installation
  • Ready to use out of the box

Technical Specifications

Back to top

Seller profile

HYPERSPACE

Seller contact

E-mail

Integrator

Current Version

2.4.1

Adobe Commerce platform compatibility

Open Source (CE): 2.3 (current), 2.4 (current), 2.0 (obsolete), 2.1 (obsolete), 2.2 (obsolete)

Type

Stable Build

Updated

17 December, 2020

Categories

Extensions, Payments & Security, Fraud

Documentation

Installation Guides

User Guides

License Type

Open Software License 3.0 (OSL-3.0)

Policy

Privacy Policy

Quality Report

Back to top

Installation & Varnish Tests

Passed

Coding Standard

Passed

Plagiarism Check

Passed

Malware Check

Passed

Marketing Review

Passed

Manual Testing

Passed

All tests were conducted on the latest versions of Adobe Commerce that existed for the compatible release lines at the moment of the extension submission. Latest versions of all other software were used, as applicable.

Release Notes

Back to top

2.4.1:

  • Compatible with Open Source (CE) : 2.3 2.4
  • Stability: Stable Build
  • Description:

    New version compatible with 2.4.1.

2.4.0:

  • Compatible with Open Source (CE) : 2.3 2.4
  • Stability: Stable Build
  • Description:

    New version compatible with Magento 2.4.0. Updated composer dependencies.

2.3.4:

  • Compatible with Open Source (CE) : 2.3
  • Stability: Stable Build
  • Description:

    New refactored version compatible with Magento 2.3.4. Using controller observer instead of Plugin model injection.

2.3.3:

  • Compatible with Open Source (CE) : 2.3
  • Stability: Stable Build
  • Description:

    New version with refactored code, upgraded PDF libraries and most important now compatible with Magento 2.3.3

2.3.0:

  • Compatible with Open Source (CE) : 2.0 2.1 2.2
  • Stability: Stable Build
  • Description:

    Final stable version.

Support

Back to top

The best place to start if you need help with a specific extension is to contact the developer. All Adobe Commerce developers have both a contact email and a support email listed.

Contact Vendor

Q & A

Back to top

Reviews

Back to top